## ceph 0.48.2

=== workunits/Makefile ===
DIRS = direct_io

all:
	for d in $(DIRS) ; do ( cd $$d ; $(MAKE) all ) ; done

## ceph 0.21

=== debian/changelog ===
ceph (0.21-0ubuntu1) maverick; urgency=low

  * Initial release based on upstream package (LP: #607730)

 -- Clint Byrum <clint@ubuntu.com>  Fri, 30 Jul 2010 08:37:32 -0700

=== debian/control ===
Source: ceph
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Sage Weil <sage@newdream.net>
Build-Depends: debhelper (>= 6.0.7~), autotools-dev, autoconf, automake, cdbs, libfuse-dev, libboost-dev, libedit-dev, libssl-dev, libtool, libexpat1-dev, libfcgi-dev, libatomic-ops-dev
Standards-Version: 3.8.4

Package: ceph
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libedit2, hdparm, binutils
Recommends: ceph-fuse, libceph1, librados1, libcrush1, btrfs-tools
Description: distributed storage and file system
 Ceph is a distributed storage and network file system designed to provide
 excellent performance, reliability, and scalability.
 .
 This package contains all server daemons and management tools for creating,
 running, and administering a Ceph storage cluster.

Package: ceph-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ceph (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for ceph
 Ceph is a distributed storage and network file system designed to provide
 excellent performance, reliability, and scalability.
 .
 This package contains the debugging symbols for ceph.

Package: ceph-fuse
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libfuse2
Recommends: fuse-utils
Suggests: ceph
Description: FUSE-based client for the Ceph distributed file system
 Ceph is a distributed network file system designed to provide
 excellent performance, reliability, and scalability.  This is a
 FUSE-based client that allows you to mount a Ceph file system without
 root privileges.
 .
 Because the FUSE-based client has certain inherent performance
 limitations, it is recommended that the native Linux kernel client
 be used if possible.  If it is not practical to load a kernel module
 (insufficient privileges, older kernel, etc.), then the FUSE client will
 do.

Package: ceph-fuse-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ceph-fuse (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for ceph-fuse
 Ceph is a distributed network file system designed to provide
 excellent performance, reliability, and scalability.  This is a
 FUSE-based client that allows you to mount a Ceph file system without
 root privileges.
 .
 This package contains the debugging symbols for ceph-fuse.

Package: libcrush1
Conflicts: libcrush
Replaces: libcrush
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: CRUSH placement algorithm
 CRUSH is a pseudo-random hash-like algorithm for mapping inputs to
 a changing hierarchy of devices without a centralized directory.  It was
 originally designed for mapping data objects to storage servers, although it
 may be useful in other domains.  Because large systems are inherently
 dynamic, CRUSH is designed to facilitate the addition and removal of devices
 while minimizing unnecessary object movement.  The algorithm accommodates a
 wide variety of data replication and reliability mechanisms and distributes
 data in terms of user-defined policies that enforce separation of replicas
 across failure domains.

Package: libcrush1-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libcrush1 (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for libcrush1
 CRUSH is a pseudo-random hash-like algorithm for mapping inputs to
 a changing hierarchy of devices without a centralized directory.  It was
 originally designed for mapping data objects to storage servesr, although it
 may be useful in other domains.  Because large systems are inherently
 dynamic, CRUSH is designed to facilitate the addition and removal of devices
 while minimizing unnecessary object movement.  The algorithm accommodates a
 wide variety of data replication and reliability mechanisms and distributes
 data in terms of user-defined policies that enforce separation of replicas
 across failure domains.
 .
 This package contains debugging symbols for libcrush.

Package: libcrush1-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, libcrush1 (= ${binary:Version})
Description: CRUSH mapping algorithm (development files)
 CRUSH is a pseudo-random hash-like algorithm for mapping inputs to
 a changing hierarchy of devices without a centralized directory.  It was
 originally designed for mapping data objects to storage servesr, although it
 may be useful in other domains.  Because large systems are inherently
 dynamic, CRUSH is designed to facilitate the addition and removal of devices
 while minimizing unnecessary object movement.  The algorithm accommodates a
 wide variety of data replication and reliability mechanisms and distributes
 data in terms of user-defined policies that enforce separation of replicas
 across failure domains.
 .
 This package contains development files needed for building applications that
 link against libcrush.

Package: librados1
Conflicts: librados
Replaces: librados
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libcrush1
Description: RADOS distributed object store client library
 RADOS is a reliable, autonomic distributed object storage cluster
 developed as part of the Ceph distributed storage system.  This is a
 shared library allowing applications to access the distributed object
 store using a simple file-like interface.

Package: librados1-dbg
Architecture: any
Section: debug
Priority: extra
Depends: librados1 (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for librados1
 RADOS is a reliable, autonomic distributed object storage cluster
 developed as part of the Ceph distributed storage system.  This is a
 shared library allowing applications to access the distributed object
 store using a simple file-like interface.
 .
 This package contains debugging symbols for librados1.

Package: librados1-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, librados1 (= ${binary:Version})
Description: RADOS distributed object store client library (development files)
 RADOS is a reliable, autonomic distributed object storage cluster
 developed as part of the Ceph distributed storage system.  This is a
 shared library allowing applications to access the distributed object
 store using a simple file-like interface.
 .
 This package contains development files needed for building applications that
 link against librados.

Package: libceph1
Conflicts: libceph
Replaces: libceph
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libcrush1
Description: Ceph distributed file system client library
 Ceph is a distributed network file system designed to provide
 excellent performance, reliability, and scalability.  This is a
 shared library allowing applications to access a Ceph distributed
 file system via a POSIX-like interface.

Package: libceph1-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libceph1 (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for libceph1
 Ceph is a distributed network file system designed to provide
 excellent performance, reliability, and scalability.  This is a
 shared library allowing applications to access a Ceph distributed
 file system via a POSIX-like interface.
 .
 This package contains debugging symbols for libceph1.

Package: libceph1-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, libceph1 (= ${binary:Version})
Description: Ceph distributed file system client library (development files)
 Ceph is a distributed network file system designed to provide
 excellent performance, reliability, and scalability.  This is a
 shared library allowing applications to access a Ceph distributed
 file system via a POSIX-like interface.
 .
 This package contains development files needed for building applications that
 link against libceph.

Package: radosgw
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libexpat1, librados1
Description: REST gateway for RADOS distributed object store
 RADOS is a distributed object store used by the Ceph distributed
 storage system.  This package provides a REST gateway to the
 object store that aims to implement a superset of Amazon's S3
 service.
 .
 This package contains the proxy daemon and related tools only.

Package: radosgw-dbg
Architecture: any
Section: debug
Priority: extra
Depends: radosgw (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for radosgw
 RADOS is a distributed object store used by the Ceph distributed
 storage system.  This package provides a REST gateway to the
 object store that aims to implement a superset of Amazon's S3
 service.
 .
 This package contains debugging symbols for radosgw.

## ceph 0.24.2

=== debian/changelog ===
ceph (0.24.2-0ubuntu1) natty; urgency=low

  [ Clint Byrum <clint@ubuntu.com> ]
  * New upstream release. (LP: #658670, LP: #684011)
  * debian/patches/fix-mkcephfs.patch: dropped (applied upstream)
  * Removed .la files from libceph1-dev, libcrush1-dev and 
    librados1-dev (per Debian policy v3.9.1 10.2).
  * debian/control: adding pkg-config as a build dependency
  * debian/control: depend on libcrypto++-dev instead of libssl-dev
  * debian/watch: added watch file

  [ Micah Gersten <micahg@ubuntu.com> ]
  * debian/control: add Homepage

 -- Clint Byrum <clint@ubuntu.com>  Sat, 12 Feb 2011 22:50:26 -0600

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Sage Weil <sage@newdream.net>
-Build-Depends: debhelper (>= 6.0.7~), autotools-dev, autoconf, automake, cdbs, libfuse-dev, libboost-dev, libedit-dev, libssl-dev, libtool, libexpat1-dev, libfcgi-dev, libatomic-ops-dev
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 6.0.7~), autotools-dev, autoconf, automake, cdbs, libfuse-dev, libboost-dev, libedit-dev, libcrypto++-dev, libtool, libexpat1-dev, libfcgi-dev, libatomic-ops-dev, pkg-config
+Standards-Version: 3.9.1
+Homepage: http://ceph.newdream.net/
 
 Package: ceph
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
export DH_VERBOSE=1
configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp
build: build-stamp
build-stamp: configure-stamp  
	dh_testdir

	./autogen.sh
	./configure --prefix=/usr
	$(MAKE)
	cp src/init-ceph debian/ceph.init

	touch $@
clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	test ! -f Makefile || $(MAKE) clean

	dh_clean 
install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	$(MAKE) DESTDIR=$(CURDIR) install


# Add here commands to install the package into debian/testpack.
# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.
# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_install
	dh_installlogrotate
	dh_installinit
	dh_installman
	dh_lintian
	dh_link

	dh_strip -k --exclude=libcls_
	chmod +x debian/move_dbg_files.sh && debian/move_dbg_files.sh

	dh_compress
	dh_fixperms
	dh_makeshlibs -n  # we do the postinst/postrm scripts manually
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb
binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=3
http://ceph.newdream.net/download/ceph-(\d.*)\.tar\.gz

## ceph 0.34

=== debian/changelog ===
ceph (0.34-1) unstable; urgency=low

  * New upstream release (closes: #638714).
  * Make librbd-dev depends on librados-dev as it uses headers from the latter
    (closes: #636845).
  * Add new binary packages, gceph, gceph-dbg and obsync . The libcrush ones
    removed.
  * Change to quilt source format and tune packaging.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sun, 28 Aug 2011 15:56:16 +0200

ceph (0.27-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove references to other libraries from dependency_libs field
    (closes: #621208). 

 -- Luk Claes <luk@debian.org>  Sat, 28 May 2011 22:28:48 +0200

ceph (0.27-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Mon, 25 Apr 2011 10:09:05 +0200

ceph (0.25.2-1) unstable; urgency=low

  * New upstream release.
  * Make Ceph cross buildable (closes: #618939), thanks to Hector Oron.
  * Disable libatomic-ops on ARMv4t (armel) archs to prevent FTBFS
    (closes: #615235), thanks go to Hector Oron again.
  * Rename librados1{,-dbg,-dev} packages to librados2{,-dbg,-dev} ones;
    conflict with and replace the former ones.
  * Add librbd1 and librbd-dev packages.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sun, 27 Mar 2011 15:51:23 +0200

ceph (0.24.3-2) unstable; urgency=low

  * Make Ceph Linux only and build on all Linux archs (closes: #614890).
  * Support parallel building via DEB_BUILD_OPTIONS .
  * Add watch file, thanks to Clint Byrum (closes: #615021).
  * Tune packaging.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Fri, 25 Feb 2011 15:17:26 +0100

ceph (0.24.3-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sat, 19 Feb 2011 12:25:43 +0100

ceph (0.24.2-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sat, 29 Jan 2011 15:25:14 +0100

ceph (0.24.1-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Tue, 11 Jan 2011 22:23:18 +0100

ceph (0.24-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Wed, 01 Dec 2010 09:26:25 -0800

ceph (0.23.1-1) experimental; urgency=low

  * Initial release (Closes: #506040)

 -- Sage Weil <sage@newdream.net>  Sun, 21 Nov 2010 15:22:21 -0800

=== debian/control ===
Source: ceph
Section: admin
Priority: optional
Homepage: http://ceph.newdream.net/
Vcs-Git: git://ceph.newdream.net/git/ceph.git
Vcs-Browser: http://ceph.newdream.net/git/?p=ceph.git;a=summary
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
Uploaders: Sage Weil <sage@newdream.net>
Build-Depends: debhelper (>= 6.0.7~), python-support (>= 0.5.3), autotools-dev, autoconf, automake, libtool, pkg-config, libfuse-dev, libboost-dev, libedit-dev, libcrypto++-dev, libexpat1-dev, libfcgi-dev, libatomic-ops-dev, libgoogle-perftools-dev [i386 amd64], libkeyutils-dev, libgtkmm-2.4-dev, python, python-dev, libcurl4-gnutls-dev
Standards-Version: 3.9.2

Package: ceph
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, hdparm | sdparm, binutils
Recommends: ceph-client-tools, ceph-fuse, libceph1, librados2, librbd1, btrfs-tools, gceph
Description: distributed storage and file system
 Ceph is a distributed storage and network file system designed to provide
 excellent performance, reliability, and scalability.
 .
 This package contains all server daemons and management tools for creating,
 running, and administering a Ceph storage cluster.

Package: ceph-dbg
Architecture: linux-any
Section: debug
Priority: extra
Depends: ceph (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for ceph
 Ceph is a distributed storage and network file system designed to provide
 excellent performance, reliability, and scalability.
 .
 This package contains the debugging symbols for ceph.

Package: gceph
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: 
Suggests: ceph
Description: Graphical ceph cluster status utility
 Ceph is a distributed network file system designed to provide
 excellent performance, reliability, and scalability.  This is a
 gtk-based gui to monitor cluster status, similar to the 'ceph'
 command.

Package: gceph-dbg
Architecture: linux-any
Section: debug
Priority: extra
Depends: gceph (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for gceph
 Ceph is a distributed network file system designed to provide
 excellent performance, reliability, and scalability.  This is a
 gtk-based gui to monitor cluster status, similar to the 'ceph'
 command.
 .
 This package contains the debugging symbols for gceph.

Package: ceph-fuse
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, libfuse2
Recommends: fuse-utils
Suggests: ceph
Description: FUSE-based client for the Ceph distributed file system
 Ceph is a distributed network file system designed to provide
 excellent performance, reliability, and scalability.  This is a
 FUSE-based client that allows one to mount a Ceph file system without
 root privileges.
 .
 Because the FUSE-based client has certain inherent performance
 limitations, it is recommended that the native Linux kernel client
 be used if possible.  If it is not practical to load a kernel module
 (insufficient privileges, older kernel, etc.), then the FUSE client will
 do.

Package: ceph-fuse-dbg
Architecture: linux-any
Section: debug
Priority: extra
Depends: ceph-fuse (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for ceph-fuse
 Ceph is a distributed network file system designed to provide
 excellent performance, reliability, and scalability.  This is a
 FUSE-based client that allows one to mount a Ceph file system without
 root privileges.
 .
 This package contains the debugging symbols for ceph-fuse.

Package: ceph-client-tools
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: ceph
Description: utilities to mount a ceph filesystem with the kernel client
 Ceph is a distributed network file system designed to provide
 excellent performance, reliability, and scalability.  This is the mount
 utility, that allows one to mount the ceph fs with the kernel client.

Package: ceph-client-tools-dbg
Architecture: linux-any
Depends: ceph-client-tools (= ${binary:Version}), ${misc:Depends}
Section: debug
Priority: extra
Description: debugging symbols for ceph-client-tools
 Ceph is a distributed network file system designed to provide
 excellent performance, reliability, and scalability.  This is the mount
 utility, that allows one to mount the ceph fs with the kernel client.
 .
 This package contains the debugging symbols for ceph-client-tools.

Package: librados2
Architecture: linux-any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: librados, librados1, libcrush, libcrush1
Replaces: librados, librados1, libcrush, libcrush1
Description: RADOS distributed object store client library
 RADOS is a reliable, autonomic distributed object storage cluster
 developed as part of the Ceph distributed storage system.  This is a
 shared library allowing applications to access the distributed object
 store using a simple file-like interface.

Package: librados2-dbg
Architecture: linux-any
Section: debug
Priority: extra
Depends: librados2 (= ${binary:Version}), ${misc:Depends}
Conflicts: librados1-dbg, libcrush1-dbg
Replaces: librados1-dbg, libcrush1-dbg
Description: debugging symbols for librados2
 RADOS is a reliable, autonomic distributed object storage cluster
 developed as part of the Ceph distributed storage system.  This is a
 shared library allowing applications to access the distributed object
 store using a simple file-like interface.
 .
 This package contains debugging symbols for librados2.

Package: librados-dev
Architecture: linux-any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, librados2 (= ${binary:Version})
Conflicts: librados1-dev, libcrush-dev, libcrush1-dev
Replaces: librados1-dev, libcrush-dev, libcrush1-dev
Description: RADOS distributed object store client library (development files)
 RADOS is a reliable, autonomic distributed object storage cluster
 developed as part of the Ceph distributed storage system.  This is a
 shared library allowing applications to access the distributed object
 store using a simple file-like interface.
 .
 This package contains development files needed for building applications that
 link against librados2.

Package: librbd1
Architecture: linux-any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}, librados2
Description: RADOS block device client library
 RBD is a block device striped across multiple distributed objects
 in RADOS, a reliable, autonomic distributed object storage cluster
 developed as part of the Ceph distributed storage system.  This is a
 shared library allowing applications to manage these block devices.

Package: librbd1-dbg
Architecture: linux-any
Section: debug
Priority: extra
Depends: librbd1 (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for librbd1
 RBD is a block device striped across multiple distributed objects
 in RADOS, a reliable, autonomic distributed object storage cluster
 developed as part of the Ceph distributed storage system.  This is a
 shared library allowing applications to manage these block devices.
 .
 This package contains debugging symbols for librbd1.

Package: librbd-dev
Architecture: linux-any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, librbd1 (= ${binary:Version}), librados-dev
Conflicts: librbd1-dev
Replaces: librbd1-dev
Description: RADOS block device client library (development files)
 RBD is a block device striped across multiple distributed objects
 in RADOS, a reliable, autonomic distributed object storage cluster
 developed as part of the Ceph distributed storage system.  This is a
 shared library allowing applications to manage these block devices.
 .
 This package contains development files needed for building applications that
 link against librbd1.

Package: libceph1
Architecture: linux-any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libceph
Replaces: libceph
Description: Ceph distributed file system client library
 Ceph is a distributed network file system designed to provide
 excellent performance, reliability, and scalability.  This is a
 shared library allowing applications to access a Ceph distributed
 file system via a POSIX-like interface.

Package: libceph1-dbg
Architecture: linux-any
Section: debug
Priority: extra
Depends: libceph1 (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for libceph1
 Ceph is a distributed network file system designed to provide
 excellent performance, reliability, and scalability.  This is a
 shared library allowing applications to access a Ceph distributed
 file system via a POSIX-like interface.
 .
 This package contains debugging symbols for libceph1.

Package: libceph-dev
Architecture: linux-any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, libceph1 (= ${binary:Version})
Conflicts: libceph1-dev
Replaces: libceph1-dev
Description: Ceph distributed file system client library (development files)
 Ceph is a distributed network file system designed to provide
 excellent performance, reliability, and scalability.  This is a
 shared library allowing applications to access a Ceph distributed
 file system via a POSIX-like interface.
 .
 This package contains development files needed for building applications that
 link against libceph1.

Package: librgw1
Conflicts: librgw
Replaces: librgw
Architecture: linux-any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: radosgw data access library
 radosgw is a REST gateway for RADOS distributed object store.
 librgw contains support for reading and writing objects in the
 format expected by radosgw.

Package: librgw1-dbg
Architecture: linux-any
Section: debug
Priority: extra
Depends: librgw1 (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for librgw
 radosgw is a REST gateway for RADOS distributed object store.
 librgw contains support for reading and writing objects in the
 format expected by radosgw.
 .
 This package contains debugging symbols for librgw.

Package: librgw-dev
Architecture: linux-any
Section: libdevel
Depends: ${misc:Depends}, librgw1 (= ${binary:Version})
Description: RGW distributed object store client library (development files)
 radosgw is a REST gateway for RADOS distributed object store.
 librgw contains support for reading and writing objects in the
 format expected by radosgw.
 .
 This package contains development files needed for building applications that
 link against librgw.

Package: radosgw
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, libexpat1, librados2 (= ${binary:Version})
Description: REST gateway for RADOS distributed object store
 RADOS is a distributed object store used by the Ceph distributed
 storage system.  This package provides a REST gateway to the
 object store that aims to implement a superset of Amazon's S3
 service.
 .
 This package contains the proxy daemon and related tools only.

Package: radosgw-dbg
Architecture: linux-any
Section: debug
Priority: extra
Depends: radosgw (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for radosgw
 RADOS is a distributed object store used by the Ceph distributed
 storage system.  This package provides a REST gateway to the
 object store that aims to implement a superset of Amazon's S3
 service.
 .
 This package contains debugging symbols for radosgw.

Package: obsync
Architecture: linux-any
Depends: ${misc:Depends}, python, python-boto, python-ceph, python-pyxattr, python-lxml
Description: synchronize data between cloud object storage providers or a local directory
 obsync is a tool to synchronize objects between cloud object
 storage providers, such as Amazon S3 (or compatible services), a
 Ceph RADOS cluster, or a local directory.

Package: python-ceph
Architecture: linux-any
Section: python
Depends: ${misc:Depends}, ${python:Depends}, librados2, librgw1
Description: Python libraries for the Ceph distributed filesystem
 Ceph is a distributed storage and network file system designed to provide
 excellent performance, reliability, and scalability.
 .

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
export DH_VERBOSE=1
export DESTDIR=$(CURDIR)/debian/tmp

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  MAKEFLAGS += -j$(NUMJOBS)
endif

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# Recommended snippet for Autoconf 2.52 or later
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  confflags += --build $(DEB_HOST_GNU_TYPE)
else
  confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

export DEB_HOST_ARCH      ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

ifeq ($(DEB_HOST_ARCH), armel)
  # armel supports ARMv4t or above instructions sets.
  # libatomic-ops is only usable with Ceph for ARMv6 or above.
  extraopts += --without-libatomic-ops
endif

ifneq ($(DEB_HOST_ARCH), i386)
ifneq ($(DEB_HOST_ARCH), amd64)
  # libgoogle-perftools-dev is only available on i386 and amd64
  extraopts += --without-tcmalloc
endif
endif

ifeq ($(shell grep -c -E '^Build-Depends:(.*,)?[[:space:]]*libgoogle-perftools-dev([[:space:]]|,|$$)' debian/control),0)
  # if Build-Deps have been edited to skip libgoogle-perftools-dev (as
  # we do for Debian lenny), tell configure it's ok to not have
  # tcmalloc.
  extraopts += --without-tcmalloc
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch $@

build-arch: build
build-indep: build

build: build-stamp
build-stamp: configure-stamp  
	dh_testdir

	./autogen.sh
	./configure --prefix=/usr --sbindir=/sbin --localstatedir=/var \
	  --sysconfdir=/etc $(extraopts) $(confflags)
	$(MAKE)

	cp src/init-ceph debian/ceph.init
	cp src/logrotate.conf debian/ceph.logrotate

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f aclocal.m4 compile config.sub config.guess config.log depcomp \
	  install-sh ltmain.sh missing
	rm -f configure Makefile.in man/Makefile.in
	cd src/ && rm -f Makefile.in acconfig.h.in gtest/aclocal.m4 \
		gtest/configure gtest/Makefile.in
	cd src/gtest/build-aux/ &&  rm -f config.guess config.h.in \
		config.sub depcomp install-sh  ltmain.sh  missing

	rm -f debian/ceph.init debian/ceph.logrotate

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	$(MAKE) DESTDIR=$(DESTDIR) install
	sed -i "/dependency_libs/ s/'.*'/''/" `find . -name '*.la'`
	install -D -m 644 udev/50-rbd.rules $(DESTDIR)/lib/udev/rules.d/50-rbd.rules

# Add here commands to install the package into debian/testpack.
# Build architecture-independent files here.
binary-indep: build install

# We have nothing to do by default.
# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs --all ChangeLog
	dh_installexamples
	dh_install --sourcedir=$(DESTDIR) --list-missing
	dh_installlogrotate
	dh_installinit
	dh_installman
	dh_lintian
	dh_link

	dh_strip -pceph --dbg-package=ceph-dbg -k --exclude=libcls_
	dh_strip -pceph-fuse --dbg-package=ceph-fuse-dbg
	dh_strip -pceph-client-tools --dbg-package=ceph-client-tools-dbg
	dh_strip -plibrados2 --dbg-package=librados2-dbg
	dh_strip -plibrbd1 --dbg-package=librbd1-dbg
	dh_strip -plibceph1 --dbg-package=libceph1-dbg
	dh_strip -pradosgw --dbg-package=radosgw-dbg
	dh_strip -pgceph --dbg-package=gceph-dbg
	dh_strip -plibrgw1 --dbg-package=librgw1-dbg

	dh_compress
	dh_fixperms
	dh_makeshlibs -n  # we do the postinst/postrm scripts manually
	dh_pysupport
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## ceph 0.35

=== debian/changelog ===
ceph (0.35-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sat, 24 Sep 2011 16:51:57 +0200

=== debian/control ===
--- 
+++ 
@@ -87,7 +87,7 @@
 
 Package: ceph-client-tools
 Architecture: linux-any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, librados2 (= ${binary:Version}), librbd1 (= ${binary:Version})
 Suggests: ceph
 Description: utilities to mount a ceph filesystem with the kernel client
  Ceph is a distributed network file system designed to provide
@@ -151,7 +151,7 @@
 Package: librbd1
 Architecture: linux-any
 Section: libs
-Depends: ${shlibs:Depends}, ${misc:Depends}, librados2
+Depends: ${shlibs:Depends}, ${misc:Depends}, librados2 (= ${binary:Version})
 Description: RADOS block device client library
  RBD is a block device striped across multiple distributed objects
  in RADOS, a reliable, autonomic distributed object storage cluster
@@ -298,6 +298,3 @@
 Section: python
 Depends: ${misc:Depends}, ${python:Depends}, librados2, librgw1
 Description: Python libraries for the Ceph distributed filesystem
- Ceph is a distributed storage and network file system designed to provide
- excellent performance, reliability, and scalability.
- .

## ceph 0.38

=== debian/changelog ===
ceph (0.38-1) unstable; urgency=low

  * New upstream release (closes: #647764), missingok is now part of logrotate
    directives (closes: #645651).
  * Rename ceph-client-tools package to ceph-common , libceph-dev to
    libcephfs-dev and libceph1{,-dbg} ones to libcephfs1{,-dbg} respectively.
  * Update upstream VCS locations.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sun, 27 Nov 2011 21:40:52 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: admin
 Priority: optional
 Homepage: http://ceph.newdream.net/
-Vcs-Git: git://ceph.newdream.net/git/ceph.git
-Vcs-Browser: http://ceph.newdream.net/git/?p=ceph.git;a=summary
+Vcs-Git: git://github.com/NewDreamNetwork/ceph.git
+Vcs-Browser: https://github.com/NewDreamNetwork/ceph
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
 Uploaders: Sage Weil <sage@newdream.net>
 Build-Depends: debhelper (>= 6.0.7~), python-support (>= 0.5.3), autotools-dev, autoconf, automake, libtool, pkg-config, libfuse-dev, libboost-dev, libedit-dev, libcrypto++-dev, libexpat1-dev, libfcgi-dev, libatomic-ops-dev, libgoogle-perftools-dev [i386 amd64], libkeyutils-dev, libgtkmm-2.4-dev, python, python-dev, libcurl4-gnutls-dev
@@ -11,8 +11,8 @@
 
 Package: ceph
 Architecture: linux-any
-Depends: ${shlibs:Depends}, ${misc:Depends}, hdparm | sdparm, binutils
-Recommends: ceph-client-tools, ceph-fuse, libceph1, librados2, librbd1, btrfs-tools, gceph
+Depends: ${shlibs:Depends}, ${misc:Depends}, hdparm | sdparm, binutils, ceph-common
+Recommends: ceph-fuse, libcephfs1, librados2, librbd1, btrfs-tools, gceph
 Description: distributed storage and file system
  Ceph is a distributed storage and network file system designed to provide
  excellent performance, reliability, and scalability.
@@ -85,26 +85,32 @@
  .
  This package contains the debugging symbols for ceph-fuse.
 
-Package: ceph-client-tools
-Architecture: linux-any
-Depends: ${shlibs:Depends}, ${misc:Depends}, librados2 (= ${binary:Version}), librbd1 (= ${binary:Version})
+Package: ceph-common
+Architecture: linux-any
+Depends: ${shlibs:Depends}, ${misc:Depends}, librbd1 (= ${binary:Version})
+Conflicts: ceph-client-tools
+Replaces: ceph-client-tools
 Suggests: ceph
-Description: utilities to mount a ceph filesystem with the kernel client
- Ceph is a distributed network file system designed to provide
- excellent performance, reliability, and scalability.  This is the mount
- utility, that allows one to mount the ceph fs with the kernel client.
-
-Package: ceph-client-tools-dbg
-Architecture: linux-any
-Depends: ceph-client-tools (= ${binary:Version}), ${misc:Depends}
-Section: debug
-Priority: extra
-Description: debugging symbols for ceph-client-tools
- Ceph is a distributed network file system designed to provide
- excellent performance, reliability, and scalability.  This is the mount
- utility, that allows one to mount the ceph fs with the kernel client.
- .
- This package contains the debugging symbols for ceph-client-tools.
+Description: common utilities to mount and interact with a ceph filesystem
+ Ceph is a distributed network file system designed to provide
+ excellent performance, reliability, and scalability.  This is a collection
+ of common tools, including the mount utility, that allows one to mount the
+ ceph fs with the kernel client.
+
+Package: ceph-common-dbg
+Architecture: linux-any
+Depends: ceph-common (= ${binary:Version}), ${misc:Depends}
+Conflicts: ceph-client-tools-dbg
+Replaces: ceph-client-tools-dbg
+Section: debug
+Priority: extra
+Description: debugging symbols for ceph-common
+ Ceph is a distributed network file system designed to provide
+ excellent performance, reliability, and scalability.  This is a collection
+ of common tools, including the mount utility, that allows one to mount the
+ ceph fs with the kernel client.
+ .
+ This package contains the debugging symbols for ceph-common.
 
 Package: librados2
 Architecture: linux-any
@@ -186,37 +192,39 @@
  This package contains development files needed for building applications that
  link against librbd1.
 
-Package: libceph1
+Package: libcephfs1
 Architecture: linux-any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libceph
-Replaces: libceph
+Conflicts: libceph, libceph1
+Replaces: libceph, libceph1
 Description: Ceph distributed file system client library
  Ceph is a distributed network file system designed to provide
  excellent performance, reliability, and scalability.  This is a
  shared library allowing applications to access a Ceph distributed
  file system via a POSIX-like interface.
 
-Package: libceph1-dbg
-Architecture: linux-any
-Section: debug
-Priority: extra
-Depends: libceph1 (= ${binary:Version}), ${misc:Depends}
-Description: debugging symbols for libceph1
+Package: libcephfs1-dbg
+Architecture: linux-any
+Section: debug
+Priority: extra
+Depends: libcephfs1 (= ${binary:Version}), ${misc:Depends}
+Conflicts: libceph1-dbg
+Replaces: libceph1-dbg
+Description: debugging symbols for libcephfs1
  Ceph is a distributed network file system designed to provide
  excellent performance, reliability, and scalability.  This is a
  shared library allowing applications to access a Ceph distributed
  file system via a POSIX-like interface.
  .
- This package contains debugging symbols for libceph1.
-
-Package: libceph-dev
+ This package contains debugging symbols for libcephfs1.
+
+Package: libcephfs-dev
 Architecture: linux-any
 Section: libdevel
-Depends: ${shlibs:Depends}, ${misc:Depends}, libceph1 (= ${binary:Version})
-Conflicts: libceph1-dev
-Replaces: libceph1-dev
+Depends: ${shlibs:Depends}, ${misc:Depends}, libcephfs1 (= ${binary:Version})
+Conflicts: libceph1-dev, libceph-dev
+Replaces: libceph1-dev, libceph-dev
 Description: Ceph distributed file system client library (development files)
  Ceph is a distributed network file system designed to provide
  excellent performance, reliability, and scalability.  This is a
@@ -224,7 +232,7 @@
  file system via a POSIX-like interface.
  .
  This package contains development files needed for building applications that
- link against libceph1.
+ link against libcephfs1.
 
 Package: librgw1
 Conflicts: librgw
@@ -263,7 +271,7 @@
 
 Package: radosgw
 Architecture: linux-any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libexpat1, librados2 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, ceph-common, libexpat1, librados2 (= ${binary:Version})
 Description: REST gateway for RADOS distributed object store
  RADOS is a distributed object store used by the Ceph distributed
  storage system.  This package provides a REST gateway to the
@@ -291,10 +299,3 @@
 Description: synchronize data between cloud object storage providers or a local directory
  obsync is a tool to synchronize objects between cloud object
  storage providers, such as Amazon S3 (or compatible services), a
- Ceph RADOS cluster, or a local directory.
-
-Package: python-ceph
-Architecture: linux-any
-Section: python
-Depends: ${misc:Depends}, ${python:Depends}, librados2, librgw1
-Description: Python libraries for the Ceph distributed filesystem

=== debian/rules ===
--- 
+++ 
@@ -58,6 +58,7 @@
 	$(MAKE)
 
 	cp src/init-ceph debian/ceph.init
+	cp src/init-radosgw debian/radosgw.init
 	cp src/logrotate.conf debian/ceph.logrotate
 
 	touch $@
@@ -76,7 +77,7 @@
 	cd src/gtest/build-aux/ &&  rm -f config.guess config.h.in \
 		config.sub depcomp install-sh  ltmain.sh  missing
 
-	rm -f debian/ceph.init debian/ceph.logrotate
+	rm -f debian/ceph.init debian/radosgw.init debian/ceph.logrotate
 
 	dh_clean
 
@@ -111,10 +112,10 @@
 
 	dh_strip -pceph --dbg-package=ceph-dbg -k --exclude=libcls_
 	dh_strip -pceph-fuse --dbg-package=ceph-fuse-dbg
-	dh_strip -pceph-client-tools --dbg-package=ceph-client-tools-dbg
+	dh_strip -pceph-common --dbg-package=ceph-common-dbg
 	dh_strip -plibrados2 --dbg-package=librados2-dbg
 	dh_strip -plibrbd1 --dbg-package=librbd1-dbg
-	dh_strip -plibceph1 --dbg-package=libceph1-dbg
+	dh_strip -plibcephfs1 --dbg-package=libcephfs1-dbg
 	dh_strip -pradosgw --dbg-package=radosgw-dbg
 	dh_strip -pgceph --dbg-package=gceph-dbg
 	dh_strip -plibrgw1 --dbg-package=librgw1-dbg

## ceph 0.40

=== debian/changelog ===
ceph (0.40-1) unstable; urgency=low

  * New upstream release (closes: #652037).
  * Adjust copyright to match upstream source changes.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sat, 14 Jan 2012 12:01:30 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://github.com/NewDreamNetwork/ceph
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
 Uploaders: Sage Weil <sage@newdream.net>
-Build-Depends: debhelper (>= 6.0.7~), python-support (>= 0.5.3), autotools-dev, autoconf, automake, libtool, pkg-config, libfuse-dev, libboost-dev, libedit-dev, libcrypto++-dev, libexpat1-dev, libfcgi-dev, libatomic-ops-dev, libgoogle-perftools-dev [i386 amd64], libkeyutils-dev, libgtkmm-2.4-dev, python, python-dev, libcurl4-gnutls-dev
+Build-Depends: debhelper (>= 6.0.7~), python-support (>= 0.5.3), autotools-dev, autoconf, automake, libtool, pkg-config, libfuse-dev, libboost-dev, libedit-dev, libcrypto++-dev, libexpat1-dev, libfcgi-dev, libatomic-ops-dev, libgoogle-perftools-dev [i386 amd64], libkeyutils-dev, libgtkmm-2.4-dev, python, python-dev, libcurl4-gnutls-dev, uuid-dev
 Standards-Version: 3.9.2
 
 Package: ceph
@@ -111,6 +111,19 @@
  ceph fs with the kernel client.
  .
  This package contains the debugging symbols for ceph-common.
+
+Package: ceph-resource-agents
+Architecture: linux-any
+Recommends: pacemaker
+Priority: extra
+Depends: ceph (= ${binary:Version}), ${misc:Depends}, resource-agents
+Description: OCF-compliant resource agents for Ceph
+ Ceph is a distributed storage and network file system designed to provide
+ excellent performance, reliability, and scalability.
+ .
+ This package contains the resource agents (RAs) which integrate
+ Ceph with OCF-compliant cluster resource managers,
+ such as Pacemaker.
 
 Package: librados2
 Architecture: linux-any
@@ -288,14 +301,3 @@
 Description: debugging symbols for radosgw
  RADOS is a distributed object store used by the Ceph distributed
  storage system.  This package provides a REST gateway to the
- object store that aims to implement a superset of Amazon's S3
- service.
- .
- This package contains debugging symbols for radosgw.
-
-Package: obsync
-Architecture: linux-any
-Depends: ${misc:Depends}, python, python-boto, python-ceph, python-pyxattr, python-lxml
-Description: synchronize data between cloud object storage providers or a local directory
- obsync is a tool to synchronize objects between cloud object
- storage providers, such as Amazon S3 (or compatible services), a
